Main Page Class Hierarchy Compound List File List Compound Members File Members

# MutableServerRequest Class Reference

`#include <mutableserverrequest.h>`

Inheritance diagram for MutableServerRequest:

List of all members.

## Public Member Functions
| MutableServerRequest ()
void | ClearPassport ()
void | AddPassportLine (const char *p_line)
void | AddPassportLine (std::string p_line)
int | GetPassportLineCount ()
const char * | GetPassportLine (int p_index)
## Protected Member Functions
long | BufferInitAlloc ()
void | FormatDerivativeData ()
void | ParseDerivativeData ()
## Protected Attributes
std::vector< std::string > | Passport

## Constructor & Destructor Documentation

MutableServerRequest::MutableServerRequest | ( |  | ) |

| Definition at line 12 of file mutableserverrequest.cpp.

## Member Function Documentation

void MutableServerRequest::AddPassportLine | ( | std::string | p_line | ) |

| Definition at line 129 of file mutableserverrequest.cpp.

void MutableServerRequest::AddPassportLine | ( | const char * | p_line | ) |

| Definition at line 118 of file mutableserverrequest.cpp. Referenced by ParseDerivativeData().

long MutableServerRequest::BufferInitAlloc | ( |  | ) | `[protected, virtual]`

| Reimplemented from MutableServerMessage. Reimplemented in ServerMagnitudeRequest, and RequestTemplate. Definition at line 19 of file mutableserverrequest.cpp. References MutableServerMessage::BufferInitAlloc(). Referenced by RequestTemplate::BufferInitAlloc(), and ServerMagnitudeRequest::BufferInitAlloc().

void MutableServerRequest::ClearPassport | ( |  | ) |

| Definition at line 114 of file mutableserverrequest.cpp. Referenced by ParseDerivativeData().

void MutableServerRequest::FormatDerivativeData | ( |  | ) | `[protected, virtual]`

| Reimplemented from MutableServerMessage. Reimplemented in ServerMagnitudeRequest, and RequestTemplate. Definition at line 33 of file mutableserverrequest.cpp. References MutableServerMessage::FormatDerivativeData(), and MutableServerMessage::MessageBuffer. Referenced by RequestTemplate::FormatDerivativeData(), and ServerMagnitudeRequest::FormatDerivativeData().

const char * MutableServerRequest::GetPassportLine | ( | int | p_index | ) |

| Definition at line 140 of file mutableserverrequest.cpp. Referenced by ServerTemplate::ProcessRequest().

int MutableServerRequest::GetPassportLineCount | ( |  | ) |

| Definition at line 136 of file mutableserverrequest.cpp. Referenced by ServerTemplate::ProcessRequest().

void MutableServerRequest::ParseDerivativeData | ( |  | ) | `[protected, virtual]`

| Reimplemented from MutableServerMessage. Reimplemented in ServerMagnitudeRequest, and RequestTemplate. Definition at line 51 of file mutableserverrequest.cpp. References AddPassportLine(), ClearPassport(), MutableServerMessage::MessageBuffer, and MutableServerMessage::ParseDerivativeData(). Referenced by ServerMagnitudeRequest::ParseDerivativeData().

## Member Data Documentation

std::vector<std::string> MutableServerRequest::Passport`[protected]`

| Definition at line 120 of file mutableserverrequest.h.

The documentation for this class was generated from the following files:

- mutableserverrequest.h
- mutableserverrequest.cpp